package com.xydl.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.xydl.entity.I2relation;
import com.xydl.entity.SyncFieldsInfo;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Data
public class AssetList {
    @JsonProperty("AssetList")
    List<AssetItem> assetList;

    public static AssetList fromData(List<Map<String, Object>> dataList, String timeField,
                                     List<I2relation> relationList, List<SyncFieldsInfo> fieldList) {
        AssetList root = new AssetList();
        List<AssetItem> list = new ArrayList<>();
        if (relationList.size() > 1){
            int a = 1;
        }
        for (Map<String, Object> map : dataList) {
            for (I2relation relation : relationList) {
                AssetItem item = AssetItem.fromData(map, timeField, relation, fieldList);
                list.add(item);
            }
        }
        root.setAssetList(list);
        return root;
    }
}
